Package python-pykmip

This package has a packaging problem, which should be described in the notes. Check where the problem is coming from, and work with the maintainer to correct it.

If this is a false positive, file a portingdb bug.


See python-pykmip in the Fedora Package Database, or go directly to the corresponding spec file.

Fedora M

A single package depends on both Python 2 and Python 3. It should be split into a python2 and python3 subpackages to prevent it from always dragging the py2 dependency in.

RPMs
  • python2-pykmip-0.5.0-1.fc27
    • × python(abi) = 2.7
  • python3-pykmip-0.5.0-1.fc27
    • python(abi) = 3.6
    • × /usr/bin/python2
Links

Dependent packages

None.

Dependency Tree

Dependencies

2 Released; 2 Dropped
Package Upstream Fedora
  python-six   bug (CLOSED CURRENTRELEASE)
  python3   bug (NEW)
  python-enum34   X
  python2   X